$primary-border: #e5e5e5;
$focussed-border: #0071b5;
$active-background: #f8fafc;

// Single select and global styles
.Select {
  height: var(--input-height);

  .Select__control {
    background-color: $active-background;
    border: 1px solid var(--tile-bg);
    border-radius: 0;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    outline: none;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: 0.4px;
    text-align: left;
    color: #222222;
    height: var(--input-height);
    min-height: var(--input-height);
    flex-wrap: nowrap;

    .Select__value-container {
      .Select__single-value {
        height: var(--font-m);
      }
      .Select__input-container {
        line-height: 21px;
        height: 21px;
        margin-top: 0;
        margin-bottom: 0;
        padding-top: 0;
        padding-bottom: 0;
        .Select__input {
          height: 21px;
        }
      }
    }

    .Select__indicators {
      .Select__indicator-separator {
        display: none;
      }
      .Select__dropdown-indicator {
        padding-top: 0;
        padding-bottom: 0;
      }
    }
  }

  .Select__control--menu-is-open {
    background-color: $active-background;
    border: solid 1px $focussed-border;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    outline: none;
  }
}

// Select Menu styling
.Select__menu-portal {
  border: unset;
  border-radius: 6px;
  background-color: #ffffff;
  z-index: 999;
  box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);
  -moz-box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);
  -webkit-box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);

  .Select__menu {
    margin-top: 0;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    .Select__menu-list {
      padding: 0;
      max-height: 200px;
      .Select__option {
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: normal;
        font-style: normal;
        font-stretch: normal;
        line-height: 1;
        letter-spacing: 0.4px;
        text-align: left;
        color: #222222;
        cursor: pointer;
      }
      .Select__option--is-disabled {
        opacity: 0.5;
        cursor: not-allowed;
      }
      .Select__option--is-selected {
        opacity: 0.9;
        background-color: $active-background;
        cursor: not-allowed;
      }
      .Select__option--is-focused {
        background-color: #0071b5;
        color: #fff;
      }

      &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #949292;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }
  }
}

// Multi select styles
.Select.Select--multi {
  height: fit-content;
  .Select__control {
    flex-wrap: wrap;
    height: unset;
  }
  .Select__value-container--is-multi {
    gap: 5px;
    .Select__multi-value {
      line-height: 15px;
      background-color: #fff;
      border-radius: 0px;
      border: 1px solid #d3dde0;
      color: black;
      display: inline-flex;
      font-size: 1em;
      vertical-align: top;
      font-weight: 500;
      margin: 0;
      .Select__multi-value-remove {
        font-size: 2.7rem;
        border-right: none;
        background-color: #fff;
        font-weight: 400;
      }

      .Select__multi-value__label {
        border-bottom-right-radius: 2px;
        border-top-right-radius: 2px;
        cursor: default;
        padding: 3px 5px 3px 8px;
        font-size: 100%;
        background-color: #fff;
      }
    }

    .Select-value.Select-value-disabled .Select-value-icon {
      display: none;
    }
  }
}

// Disabled select styles
.Select.Select--is-disabled .Select__control--is-disabled {
  background-color: var(--disabled);
  .Select__single-value--is-disabled {
    color: inherit;
  }
  .Select__multi-value--is-disabled {
    .Select__multi-value__label {
      padding-right: 8px;
    }
    .Select__multi-value__remove {
      display: none;
    }
  }
}
